classification
Title: Make PyDescr_COMMON conform to standard C
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: alexandre.vassalotti, loewis, pitrou
Priority: normal Keywords: needs review, patch

Created on 2009-05-30 23:25 by alexandre.vassalotti, last changed 2009-07-22 03:57 by alexandre.vassalotti. This issue is now closed.

Files
File name Uploaded Description Edit
strict-aliasing-pydescr.diff alexandre.vassalotti, 2009-05-30 23:25
strict-aliasing-pydescr-2.diff alexandre.vassalotti, 2009-07-06 19:10
Messages (6)
msg88588 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-05-30 23:25
PyDescrObject make use of the some undefined behavior noted in PEP 3123
for PyObject in Python 2.x. Although fixing this requires breaking
backward-compatibility, this shouldn't be much a problem since
PyDescrObject is only used directly by Python itself.
msg88592 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-05-31 04:46
The patch looks fine in principle. I believe many of the macro
applications are unnecessary, because the type of the variables being
accessed is already PyDescrObject.

Not sure whether this can be applied to 3.1 still.
msg90139 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-07-05 02:03
New patch with the superfluous macros stripped out. However, I still
like my original patch better, since it is a bit more consistent.

Anyway, is anyone opposed to this change?
msg90186 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-07-06 18:17
I'm not sure what the "new patch" is since you haven't uploaded it, but
the original patch looks ok. In any case, it shouldn't go into 3.1 since
it breaks source-level compatibility.
msg90187 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-07-06 19:10
> I'm not sure what the "new patch" is since you haven't uploaded it

Oh silly me. Here's the new patch.
msg90800 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-07-22 03:57
Committed in r74159 (branches/py3k).
History
Date User Action Args
2009-07-22 03:57:38alexandre.vassalottisetstatus: open -> closed
messages: + msg90800

keywords: patch, patch, needs review
resolution: accepted
stage: patch review -> resolved
2009-07-06 19:10:49alexandre.vassalottisetkeywords: patch, patch, needs review
files: + strict-aliasing-pydescr-2.diff
messages: + msg90187
2009-07-06 18:17:07pitrousetversions: - Python 3.1
nosy: + pitrou

messages: + msg90186

keywords: patch, patch, needs review
2009-07-05 02:03:38alexandre.vassalottisetkeywords: patch, patch, needs review

messages: + msg90139
2009-05-31 04:46:45loewissetkeywords: patch, patch, needs review

messages: + msg88592
2009-05-30 23:25:44alexandre.vassalotticreate